POST/projects/api/v3/reporting/custom.json

Create a custom report.

Creates a new custom report from the supplied configuration. On success the newly created custom report is returned in the same shape as GET /reporting/custom/{id}.json.

Responses

  • Code
    200
    Type
    object
    Schema
    Description
    200 OK
    Response contains information about a custom report.
  • Code
    400
    Type
    object
    Schema
    Description
    400 Bad Request
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    403
    Type
    object
    Schema
    Description
    403 Forbidden
    ErrorResponse defines how []Error should be marshaled to JSON.
  • Code
    409
    Type
    object
    Schema
    Description
    409 Conflict
    ErrorResponse defines how []Error should be marshaled to JSON.

Examples

200 OK

Response
{  "customReport": {    "advancedFilter": [      "Unknown Type: any"    ],    "baseType": "string",    "charts": [      {        "chartId": "string",        "createdAt": "string",        "createdByUser": 0,        "name": "string",        "order": 0,        "reportId": 0,        "series": [          {            "chartId": "string",            "color": "string",